<template>
  <div>
    <Header title="Slideshow"/>
    <div class="center">
      <router-link :to="{ path: '/fullscreen', query: { url: url }}" tag="button">Fullscreen</router-link>
    </div>
    <div class="center">
      <SlideshowImage
       v-on:imageClicked="imageClicked"
       :url="url"/>
    </div>
  </div>
</template>

<script>
import Header from './Header.vue'
import SlideshowImage from './SlideshowImage.vue'

export default {
  components: {
    Header,
    SlideshowImage
  },
  data() {
    return {
      url: 'https://images.unsplash.com/photo-1476610182048-b716b8518aae?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=900&q=60'
    }
  },
  methods: {
    imageClicked() {
      this.url = 'https://images.unsplash.com/photo-1524219575226-36d7d2b26627?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=900&q=60'
    }
  }
}
</script>

<style scoped>
.center {
  display: block;
  text-align: center;
}
</style>
